/**
 * Copyright 2023 BWI GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
.bwi_PermalinkPreview_container {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    min-width: 0;

    .bwi_PermalinkPreview_header {
        display: flex;
        flex-direction: row;
        line-height: $font-24px;
        margin-right: $spacing-8;

        .bwi_PermalinkPreview_name {
            color: $primary-content;
            font-size: $font-15px;
            overflow: hidden;
            text-overflow: ellipsis;
        }
        .bwi_PermalinkPreview_memberCount {
            color: $secondary-content;
            font-size: $font-12px;
            white-space: normal;
            word-wrap: break-word;
            margin-left: $spacing-8;
            overflow: hidden;
            text-overflow: ellipsis;
        }
    }
    .bwi_PermalinkPreview_description {
        color: $secondary-content;
        font-size: $font-12px;
        white-space: normal;
        word-wrap: break-word;
        line-height: $font-20px;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 3;
        overflow: hidden;
    }
    .bwi_PermalinkPreview_room {
        padding: $spacing-4;
        font-size: $font-15px;
        line-height: $font-24px;
        color: $primary-content;
        position: relative;
        display: flex;
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow: hidden;
        align-items: flex-start;
    }
    .bwi_PermalinkPreview_avatar {
        margin-right: $spacing-8;
        width: 48px;
        height: 48px;
        > .mx_DecoratedRoomAvatar,
        > .mx_BaseAvatar {
            margin-right: $spacing-8;
            width: 48px;
            height: 48px;
            border-radius: 50%;
            .mx_BaseAvatar {
                width: inherit;
                height: inherit;
            }
            .mx_BaseAvatar_image {
                border-radius: inherit;
            }
        }
    }
}

.bwi_PermalinkPreview_type {
    font-size: $font-13px;
    font-weight: var(--font-semi-bold);
    padding-top: $spacing-8;
    padding-bottom: $spacing-4;
}
